[ovs-dev] [PATCH] INSTALL.DPDK: Mention issue with QEMU v2.4.0 & dpdkvhostuser

Loftus, Ciara ciara.loftus at intel.com
Fri Oct 30 10:11:43 UTC 2015


> 
> Hi,
> 
> Is this a bug in OVS code?  In this case I think we can work on a fix,
> rather
> than suggesting to downgrade QEMU.
> 
> If this is a bug in DPDK librte_vhost, is there a fix available (on
> master, or
> on the mailing list)?
Hi Daniele,

The fix is available in DPDK master:
http://dpdk.org/browse/dpdk/commit/?id=2c95f4de6a7ec59c5793c64588066b6b2b8e6142

I checked, it applies cleanly on top of DPDK v2.1.0. I could mention this in my INSTALL.DPDK patch.
eg. Either apply this DPDK patch or use an earlier QEMU version. What do you think?

Thanks,
Ciara

> 
> Thanks
> 
> On 29/10/2015 04:50, "Ciara Loftus" <ciara.loftus at intel.com> wrote:
> 
> >Currently when using QEMU v2.4.0+, two (or more) dpdkvhostuser ports
> >cannot be unbound from the kernel driver in the guest without causing
> >the ovs-vswitchd process to crash. Document this limitation.
> >
> >Signed-off-by: Ciara Loftus <ciara.loftus at intel.com>
> >---
> > INSTALL.DPDK.md | 10 ++++++++++
> > 1 file changed, 10 insertions(+)
> >
> >diff --git a/INSTALL.DPDK.md b/INSTALL.DPDK.md
> >index 7bf110c..01963e9 100644
> >--- a/INSTALL.DPDK.md
> >+++ b/INSTALL.DPDK.md
> >@@ -891,6 +891,16 @@ Restrictions:
> >     core count of the system to be less than or equal to 64 when using
> >an XL710
> >     interface with DPDK.
> >
> >+  vHost and QEMU v2.4.0+:
> >+  - For versions of QEMU v2.4.0 and later, it is currently not possible
> >to
> >+    unbind more than one dpdkvhostuser port from the guest kernel driver
> >without
> >+    causing the ovs-vswitchd process to crash. If this is a requirement
> >for your
> >+    use case, it is recommended to use a version of QEMU between v2.2.0
> >and
> >+    v2.3.1 (inclusive). This problem will likely be resolved in Open
> >vSwitch at
> >+    a later date, when the next release of DPDK is available and
> >integrated.
> >+    Note: The QEMU commit ID that breaks compatibility is
> >+    294ce717e0f212ed0763307f3eab72b4a1bdf4d0.
> >+
> > Bug Reporting:
> > --------------
> >
> >--
> >1.9.3
> >
> >_______________________________________________
> >dev mailing list
> >dev at openvswitch.org
> >https://urldefense.proofpoint.com/v2/url?u=http-
> 3A__openvswitch.org_mailma
> >n_listinfo_dev&d=BQIGaQ&c=Sqcl0Ez6M0X8aeM67LKIiDJAXVeAw-
> YihVMNtXt-uEs&r=Sm
> >B5nZacmXNq0gKCC1s_Cw5yUNjxgD4v5kJqZ2uWLlE&m=2vLCArpNUJzLbDd2
> -6RrKoZXJuvAnc
> >DxVRpVb2KP4zE&s=ubo8WHxMWKfjSZtGY4G9HcmXUMMCGE7FvEk6adAs
> xQ8&e=




More information about the dev mailing list